define({"876":{i:0.00030552111312582,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV object locking.htm",a:"WebDAV object locking To accommodate WebDAV clients that require locking functionality, HCP supports the LOCK and UNLOCK methods.  However, a LOCK request locks the specified object only on the target node.  As a result, locking an object does not prevent other nodes from modifying it.",t:"WebDAV object locking"},"877":{i:0.00030552111312582,u:"../Content/Using a Namespace/WebDAV usage considerations/Using WebDAV with objects open for write.htm",a:"These considerations apply to using WebDAV to access objects that are open for write: If you try to write to the object, HCP returns an HTTP 409 (Conflict) error.  If try to retrieve, delete, or check the existence of an object that’s open for write, HCP returns an HTTP 404 (Not Found) error code ...",t:"Using WebDAV with objects open for write"},"878":{i:0.00030552111312582,u:"../Content/Using a Namespace/WebDAV usage considerations/Failed WebDAV write operations.htm",a:"A WebDAV write operation is considered to have failed if either of these is true: The target node failed while the object was open for write. The TCP connection broke (for example, due to a front-end network failure or the abnormal termination of the client application) while the object was open for ...",t:"Failed WebDAV write operations"},"879":{i:0.00030552111312582,u:"../Content/Using a Namespace/WebDAV usage considerations/Storing zero-sized files with WebDAV.htm",a:"Storing zero-sized files with WebDAV When you store a zero-sized file with WebDAV, the resulting object has no data.  Because WebDAV causes a flush and a close even when no data is present, this object is WORM and is treated like any other object in the namespace.",t:"Storing zero-sized files with WebDAV"},"880":{i:0.00030552111312582,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV client timeouts with long-running requests.htm",a:"Some WebDAV operations, such as a GET request on a very large directory, can take a long time to complete. During such an operation, HCP does not communicate back to the client.  As a result, the connection may time out on the client. If an operation may take a long time, you should adjust the ...",t:"WebDAV client timeouts with long-running requests"},"881":{i:0.00030552111312582,u:"../Content/Using a Namespace/WebDAV usage considerations/Persistent connections with WebDAV.htm",a:"HCP supports persistent connections with WebDAV.  Following a request for an operation, HCP keeps the connection open for 60 seconds, so a subsequent request can use the same connection. Persistent connections enhance performance because they avoid the overhead of opening and closing multiple ...",t:"Persistent connections with WebDAV"},"882":{i:0.00030552111312582,u:"../Content/Using a Namespace/WebDAV usage considerations/Multithreading with WebDAV.htm",a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . HCP has a limit of 255 concurrent WebDAV ...",t:"Multithreading with WebDAV"},"883":{i:0.000367198899425431,u:"../Content/Using a Namespace/Parts/CIFS.htm",a:"CIFS This section of the Help contains information on using the CIFS namespace access protocol: Using CIFS CIFS usage considerations",t:"CIFS"},"884":{i:0.000461582031700641,u:"../Content/Using a Namespace/Using CIFS/Using CIFS.htm",a:"CIFS is one of the industry-standard protocols HCP supports for namespace access.  To access a namespace through CIFS, you can write applications that use any standard CIFS client library, or you can use the Windows GUI or a Command Prompt window to access the namespace directly. Using the CIFS ...",t:"Using CIFS"},"885":{i:0.000490554472024654,u:"../Content/Using a Namespace/Using CIFS/Namespace access with CIFS.htm",a:"You access a namespace through CIFS by mapping the namespace to a network drive or by adding the namespace as a network place on a CIFS client.  You can map or add the namespace as a whole, either root directory (data or metadata), or any specific data directory or metadirectory.  Additionally, you ...",t:"Namespace access with CIFS"},"886":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using CIFS/CIFS examples.htm",a:"The following sections show examples of using CIFS to access a namespace.  Each example shows both a Windows command and Python code that implements the same command. These examples assume that the data directory is mapped to the X: drive and the metadata metadirectory is mapped to the Y: drive.",t:"CIFS examples"},"887":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using CIFS/Storing an object CIFS example.htm",a:"Example 1: Storing an object (CIFS) This example stores an object named wind.jpg in the existing images directory by copying a file of the same name from the local file system. Windows command copy  wind.jpg  x:\\images Python code import shutil shutil.copy(\"wind.jpg\", \"x:\\\\images\\\\wind.jpg\")",t:"Example 1: Storing an object (CIFS)"},"888":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using CIFS/Changing a retention setting CIFS example.htm",a:"This example extends the retention period for the wind.jpg object by one year.  If this object is still open due to lazy close, changing the retention setting closes it.  For information about lazy close, see  CIFS lazy close . Windows command echo  +1y  \u003e  y:\\images\\wind.jpg\\retention.txt Python ...",t:"Example 2: Changing a retention setting (CIFS)"},"889":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using CIFS/Retrieving an object CIFS example.htm",a:"This example retrieves the object named wind.jpg from the namespace and stores the resulting file with the same name in the existing RetrievedFiles directory. Windows command copy  x:\\images\\wind.jpg  RetrievedFiles Python code import shutil shutil.copy(\"x:\\\\images\\\\wind.jpg\", ...",t:"Example 3: Retrieving an object (CIFS)"},"890":{i:0.000370444902671548,u:"../Content/Using a Namespace/Using CIFS/CIFS return codes.htm",a:"CIFS return codes The table below describes the possible return codes for CIFS requests against a namespace.",t:"CIFS return codes"},"891":{i:0.000461582031700641,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS usage considerations.htm",a:"CIFS usage considerations This chapter presents considerations that affect the use of the CIFS protocol for namespace access. For additional considerations that are not specific to the CIFS protocol, see  General usage considerations .",t:"CIFS usage considerations"},"892":{i:0.000741651463495703,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS case sensitivity.htm",a:"The Windows operating system is case preserving but not case sensitive.  The HCP CIFS implementation, by default, is both case preserving and case sensitive.  One result of this discrepancy is that Windows applications that don’t observe differences in case may not be able to access objects by name. ...",t:"CIFS case sensitivity"},"893":{i:0.000565216271308733,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS permission translations.htm",a:"CIFS permission translations When you view an object on a Windows client, CIFS translates the POSIX permission settings used in the namespace into settings Windows understands.  The table below shows how CIFS maps POSIX permissions to Windows permissions.",t:"CIFS permission translations"},"894":{i:0.00030552111312582,u:"../Content/Using a Namespace/CIFS usage considerations/Creating an empty directory with atime synchronization in effect.htm",a:"When you use Windows Explorer to create a new directory, Windows automatically names it New Folder.  This is also true for directories you create in a namespace. Normally, you can rename an empty directory in a namespace.  However, if atime synchronization is in effect, you cannot do this.  As a ...",t:"Creating an empty directory with atime synchronization in effect"},"895":{i:0.000695063850400189,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS lazy close.htm",a:"When writing a file to a namespace, CIFS can cause a flush at any time.  After each flush or write, HCP waits a short amount of time for the next one.  If no write occurs within that time, HCP considers the resulting object to be complete and closes it.  This event is called lazy close. If you set ...",t:"CIFS lazy close"},"896":{i:0.00030552111312582,u:"../Content/Using a Namespace/CIFS usage considerations/Using CIFS with objects open for write.htm",a:"These considerations apply to objects that are open for write through any protocol: While an object is open for write through one IP address, you cannot open it for write through any other IP address. You can read an object that is open for write from any IP address, even though the object data may ...",t:"Using CIFS with objects open for write"},"897":{i:0.00030552111312582,u:"../Content/Using a Namespace/CIFS usage considerations/Failed CIFS write operations.htm",a:"A CIFS write operation is considered to have failed if the target node failed while the object was open for write.  Also, in some circumstances, a write operation is considered to have failed if another node or other hardware failed while the object was open for write. A CIFS write operation is not ...",t:"Failed CIFS write operations"},"898":{i:0.00030552111312582,u:"../Content/Using a Namespace/CIFS usage considerations/Storing zero-sized files with CIFS.htm",a:"Storing zero-sized files with CIFS When you store a zero-sized file with CIFS, the resulting object has no data.  After lazy close occurs, the object becomes WORM and is treated like any other object in the namespace.",t:"Storing zero-sized files with CIFS"},"899":{i:0.00030552111312582,u:"../Content/Using a Namespace/CIFS usage considerations/Out-of-order writes with CIFS.htm",a:"CIFS can write the data for an object out of order.  If HCP receives an out-of-order write for a large file (200,000 bytes or larger), it discards the cryptographic hash value it already calculated.  The object then has no hash value until one of these occurs: HCP returns to the object at a later ...",t:"Out-of-order writes with CIFS"},"900":{i:0.00030552111312582,u:"../Content/Using a Namespace/CIFS usage considerations/Temporary files created by Windows clients.htm",a:"During certain operations, Windows clients may create temporary files.  In a namespace, these files correspond to successfully created objects. As with any other new object stored through the CIFS protocol, the retention period for such an object is determined by the namespace configuration.  If the ...",t:"Temporary files created by Windows clients"},"901":{i:0.00030552111312582,u:"../Content/Using a Namespace/CIFS usage considerations/Multithreading with CIFS.htm",a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . With CIFS, multiple concurrent threads can write ...",t:"Multithreading with CIFS"},"902":{i:0.000367198899425431,u:"../Content/Using a Namespace/Parts/NFS.htm",a:"NFS This section of the Help contains information on using the NFS namespace access protocol: Using NFS NFS usage considerations",t:"NFS"},"903":{i:0.000461582031700641,u:"../Content/Using a Namespace/Using NFS/Using NFS.htm",a:"NFS is one of the industry-standard protocols HCP supports for namespace access.  To access a namespace through NFS, you can write applications that use any standard NFS client library, or you can use the command line in an NFS client to access the namespace directly. Using the NFS protocol, you can ...",t:"Using NFS"},"904":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using NFS/Namespace access with NFS.htm",a:"You access the namespace through NFS by mounting a namespace directory on an NFS client.  You can mount the namespace as a whole, either root directory (data or metadata), or any specific data directory or metadirectory.  Additionally, you can have multiple directories mounted at the same time. Once ...",t:"Namespace access with NFS"},"905":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using NFS/NFS examples.htm",a:"The following sections show examples of using NFS to access a namespace.  Each example shows both a Unix command and Python code that implements the same command. These examples assume that the data directory is mounted at datamount and the metadata metadirectory is mounted at metadatamount.",t:"NFS examples"},"906":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using NFS/Storing an object NFS example.htm",a:"This example stores an object named wind.jpg in the existing images directory by copying a file of the same name from the local file system. Unix command cp  wind.jpg  /datamount/images/wind.jpg Python code import shutil shutil.copy(\"wind.jpg\", \"/datamount/images/wind.jpg\")",t:"Example 1: Storing an object (NFS)"},"907":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using NFS/Changing a retention setting example.htm",a:"This example extends the retention period for the wind.jpg object by one year.  If this object is still open due to lazy close, changing the retention setting closes it.  For information about lazy close, see  NFS lazy close . Unix command echo  +1y  \u003e  /metadatamount/images/wind.jpg/retention.txt ...",t:"Example 2: Changing a retention setting (NFS)"},"908":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using NFS/Using atime to set retention NFS example.htm",a:"This example changes the value of the POSIX atime attribute for the wind.jpg object. If the namespace is configured to synchronize atime values with retention settings and the object has a retention setting that specifies a date or time in the future, this also changes the retention setting for the ...",t:"Example 3: Using atime to set retention (NFS)"},"909":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using NFS/Creating a symbolic link NFS example.htm",a:"This example creates a symbolic link named big_dipper that references an object named ursa_major.jpg. Unix command ln  -s  /datamount/images/constellations/ursa_major.jpg \t/datamount/constellations/common_names/big_dipper Python code import os ...",t:"Example 4: Creating a symbolic link (NFS)"},"910":{i:0.00030552111312582,u:"../Content/Using a Namespace/Using NFS/Retrieving an object NFS example.htm",a:"This example retrieves the object named wind.jpg from a namespace and stores the resulting file in the retrieved_files directory. Unix command cp  /datamount/images/wind.jpg  retrieved_files/wind.jpg Python code import shutil shutil.copy(\"/datamount/images/wind.jpg\", \"retrieved_files/ \\ \twind.jpg\")",t:"Example 5: Retrieving an object (NFS)"},"911":{i:0.000370444902671548,u:"../Content/Using a Namespace/Using NFS/NFS return codes.htm",a:"NFS return codes The table below describes the possible return codes for NFS requests against a namespace.",t:"NFS return codes"},"912":{i:0.000461582031700641,u:"../Content/Using a Namespace/NFS usage considerations/NFS usage considerations.htm",a:"NFS usage considerations This chapter presents considerations that affect the use of the NFS protocol for namespace access. For additional considerations that are not specific to the NFS protocol, see  General usage considerations .",t:"NFS usage considerations"},"913":{i:0.000695063850400189,u:"../Content/Using a Namespace/NFS usage considerations/NFS lazy close.htm",a:"When writing a file to the namespace, NFS can cause a flush at any time and never issue a close.  After each flush or write, HCP waits a short amount of time for the next one.  If no write occurs within that time, HCP considers the resulting object to be complete and automatically closes it.  This ...",t:"NFS lazy close"},"914":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/Using NFS with objects open for write.htm",a:"These considerations apply to objects that are open for write through any protocol: While an object is open for write through one IP address, you cannot open it for write through any other IP address. You can read an object that is open for write from any IP address, even though the object data may ...",t:"Using NFS with objects open for write"},"915":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/Failed NFS write operations.htm",a:"An NFS write operation is considered to have failed if the target node failed while the object was open for write.  Also, in some circumstances, a write operation is considered to have failed if another node or other hardware failed while the object was open for write. An NFS write operation is not ...",t:"Failed NFS write operations"},"916":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/Storing zero-sized files with NFS.htm",a:"Storing zero-sized files with NFS When you store a zero-sized file with NFS, the resulting object has no data.  After lazy close occurs, the object becomes WORM and is treated like any other object in the namespace.",t:"Storing zero-sized files with NFS"},"917":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/Out-of-order writes with NFS.htm",a:"NFS can write the data for an object out of order.  If HCP receives an out-of-order write for a large file (200,000 bytes or larger), it discards the cryptographic hash value it already calculated.  The object then has no hash value until either of these occurs: HCP returns to the object at a later ...",t:"Out-of-order writes with NFS"},"918":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/NFS reads of large objects.htm",a:"NFS reads of large objects While HCP is reading very large objects (thousands of megabytes or more) through NFS, system performance decreases.",t:"NFS reads of large objects"},"919":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/Walking large directory trees.htm",a:"HCP occasionally reuses inode numbers.  Normally, this has no impact.  However, it can affect programs that walk the directory tree, like the Unix du command.  If you run such a program against a very large directory tree, it may not go down certain subdirectory paths. One way to prevent this ...",t:"Walking large directory trees"},"920":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/NFS delete operations.htm",a:"NFS delete operations While an object is open for write through NFS on a given node, it cannot be deleted through NFS on other nodes.",t:"NFS delete operations"},"921":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/NFS mounts on a failed node.htm",a:"If an HCP node fails, NFS mounts that target the failed node lose their connections to the namespace.  To recover from a node failure, unmount the namespace at the current mount point.  Then take one of these actions: Mount the namespace on a different node.  You can do this by specifying either the ...",t:"NFS mounts on a failed node"},"922":{i:0.00030552111312582,u:"../Content/Using a Namespace/NFS usage considerations/Multithreading with NFS.htm",a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . With NFS, multiple concurrent threads can write to ...",t:"Multithreading with NFS"},"923":{i:0.000565216271308733,u:"../Content/Using a Namespace/Parts/Namespace Browser.htm",a:"Namespace Browser This section of the Help contains information on using the HCP Namespace Browser: Introduction to the Namespace Browser Working with namespace contents Viewing namespace information",t:"Namespace Browser"},"924":{i:0.000465667205596627,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Introduction to the Namespace Browser.htm",a:"Introduction to the Namespace Browser The HCP Namespace Browser lets you manage namespace content and view information about namespaces.  This chapter contains instructions for logging in to the Namespace Browser and describes the Browser interface.",t:"Introduction to the Namespace Browser"},"925":{i:0.000824911429491646,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/About the Namespace Browser.htm",a:"The Namespace Browser is an easy-to-use web application that lets you: Navigate and manage namespace content View information about namespaces When you work with namespace content, you can list directories and view or retrieve objects.  You can also manage namespace content by adding directories and ...",t:"About the Namespace Browser"},"926":{i:0.00030552111312582,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Namespace Browser sessions.htm",a:"A Namespace Browser session begins when you take one of these actions: Log into the Browser using an HCP user account. Log into the Browser anonymously. Access a Browser page using single sign-on. Log into the Browser using a recognized AD user account other than the one with which you’re currently ...",t:"Namespace Browser sessions"},"927":{i:0.00030552111312582,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Common elements.htm",a:"All Namespace Browser pages have these options in the menu bar at the top of the page: Content — Displays the top-level directories in the current namespace. Namespace — Displays the list of namespaces you can access and provides access to information about these namespaces. Search HCP — Opens the ...",t:"Common elements"},"928":{i:0.000565216271308733,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Changing your password.htm",a:"If you’re accessing the Namespace Browser with a locally authenticated HCP user account, you can change your password in the Namespace Browser.  When you change your password in the Namespace Browser, it also changes the password for any other HCP interfaces to which your user account gives you ...",t:"Changing your password"},"929":{i:0.000465667205596627,u:"../Content/Using a Namespace/Working with namespace contents/Working with namespace contents.htm",a:"The Namespace Browser lets you perform these operations on the contents of a namespace: Browse the namespace to list directories and their contents.  If versioning is enabled for the namespace, you can optionally include deleted objects in the lists. If versioning is enabled for the namespace, list ...",t:"Working with namespace contents"},"930":{i:0.000685325840661838,u:"../Content/Using a Namespace/Working with namespace contents/Listing directory contents.htm",a:"To list the contents of a directory in a namespace, click Content in the Namespace Browser menu bar and navigate to the directory you want.  Each directory name is a link that lists the directory contents. All directory listing pages, except the page that lists the top-level directories, have a ...",t:"Listing directory contents"},"931":{i:0.00030552111312582,u:"../Content/Using a Namespace/Working with namespace contents/Directory listing.htm",a:"The directory listing displays information about the objects in a directory and provides access to subdirectories, symbolic links, and object versions. The Namespace Browser displays up to 100 entries at a time.  If a directory has more than 100 entries, you can use the Previous and Next buttons to ...",t:"Directory listing"},"932":{i:0.00030552111312582,u:"../Content/Using a Namespace/Working with namespace contents/Showing and hiding deleted objects and directories.htm",a:"By default, the directory listing does not include deleted objects, directories, or symbolic links.  If the namespace has versioning enabled, you can show or hide deleted items by clicking the link that says Show deleted objects (if deleted objects are not being shown) or Hide deleted objects (if ...",t:"Showing and hiding deleted objects and directories"},"933":{i:0.000370444902671548,u:"../Content/Using a Namespace/Working with namespace contents/Listing object versions.htm",a:"To view a list of the versions of an object, browse to the directory that contains the object and click the version icon (    ) for the object.  If the directory listing includes deleted objects, you can list the versions of the deleted objects. All version listing pages have a parent directory icon ...",t:"Listing object versions"},"934":{i:0.000370444902671548,u:"../Content/Using a Namespace/Working with namespace contents/Viewing and retrieving object and version content.htm",a:"You can view objects or old versions of objects and retrieve their content. Accessing objectsTo view or retrieve an object, navigate to the directory that contains the object and click the object name or the type icon to the left of the object name.  The browser downloads the object data and either ...",t:"Viewing and retrieving object and version content"},"935":{i:0.00030552111312582,u:"../Content/Using a Namespace/Working with namespace contents/Storing objects and versions.htm",a:"To store an object or new version of an object in a namespace: Navigate to the directory in which you want to store the object or version. If the Upload Object tab is not active, click it. Click Browse.  Then select the file you want. Click Upload. The new object is added with the default metadata ...",t:"Storing objects and versions"},"936":{i:0.000370444902671548,u:"../Content/Using a Namespace/Working with namespace contents/Deleting objects and symbolic links.htm",a:"To delete an object or symbolic link from the namespace: Navigate to the directory that contains the object or symbolic link. Click the delete icon (    ) for the object or link you want to delete. In response to the confirming message, click OK. If the list displays deleted objects, the object name ...",t:"Deleting objects and symbolic links"},"937":{i:0.00030552111312582,u:"../Content/Using a Namespace/Working with namespace contents/Creating directories.htm",a:"Creating directories To create a directory: Navigate to the parent directory. If the Create Directory tab is not active, click it. Enter the name of the new directory in the entry field below the Create Directory tab. Click Create.",t:"Creating directories"},"938":{i:0.000465667205596627,u:"../Content/Using a Namespace/Viewing namespace information/Viewing namespace information.htm",a:"The Namespace Browser can display this information about namespaces: Namespaces you can access Namespace statistics Permissions for accessing a namespace Retention classes defined for a namespace This chapter contains instructions for viewing this information in the Namespace Browser.",t:"Viewing namespace information"},"939":{i:0.00030552111312582,u:"../Content/Using a Namespace/Viewing namespace information/Viewing accessible namespaces.htm",a:"You can use the Namespace Browser to view a list of the namespaces to which you have access.  When you view accessible namespaces, the list shows all namespaces owned by the specified tenant for which you have at least one permission. To view the namespaces that you can access, click Namespaces in ...",t:"Viewing accessible namespaces"},"940":{i:0.00030552111312582,u:"../Content/Using a Namespace/Viewing namespace information/Namespace information.htm",a:"The Namespaces page contains a list of the namespaces you can access.  For each namespace, the list shows: Namespace name. Hash algorithm. Data protection level. Whether versioning is enabled. Whether search is enabled. Retention mode.  This mode affects whether privileged operations are allowed on ...",t:"Namespace information"},"941":{i:0.00030552111312582,u:"../Content/Using a Namespace/Viewing namespace information/Managing the namespace list.htm",a:"By default, the namespaces you can access are listed 20 at a time in ascending alphabetical order. You can page through, sort, and filter the list of namespaces.  The Namespaces page indicates which namespaces are shown out of the total number of namespaces in the current list. Paging You can change ...",t:"Managing the namespace list"},"942":{i:0.000392086165853458,u:"../Content/Using a Namespace/Viewing namespace information/Viewing namespace statistics and description.htm",a:"To view the namespace statistics and description: In the Namespace Browser menu bar, click Namespaces to open the list of accessible namespaces. Click the row for the namespace you want. The Overview panel for the namespace opens.  In this panel, if a description has been specified for the ...",t:"Viewing namespace statistics and description"},"943":{i:0.000392086165853458,u:"../Content/Using a Namespace/Viewing namespace information/Viewing permissions.htm",a:"To view the permissions for the namespace and the current user: In the Namespace Browser menu bar, click Namespaces to open the list of accessible namespaces. Click the row for the namespace you want. Click the Permissions tab. The table below describes the information shown about permissions. For ...",t:"Viewing permissions"},"944":{i:0.000909398490339753,u:"../Content/Using a Namespace/Viewing namespace information/Viewing retention classes.htm",a:"To view the retention classes defined for a namespace: In the Namespace Browser menu bar, click Namespaces to open the list of accessible namespaces. Click the row for the namespace you want. Click the Retention Classes tab. For each retention class, the Namespace Browser shows: Retention class name ...",t:"Viewing retention classes"},});