define({"945":{i:0.00211385705958744,u:"../Content/Using a Namespace/General usage considerations/General usage considerations.htm",a:"General usage considerations This  section of the Help  contains usage considerations that affect namespace access in general.",t:"General usage considerations"},"946":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Choosing an access protocol.htm",a:"The protocol you choose to use to access a namespace depends on a variety of factors.  Some factors have to do with the protocols themselves,  others with the environment in which you’re working.  For example, your client operating system may dictate the choice of protocol.  Or, you may need new ...",t:"Choosing an access protocol"},"947":{i:0.00358676255317909,u:"../Content/Using a Namespace/General usage considerations/Hostname and IP address considerations.htm",a:"You can access a namespace by specifying either the namespace hostname or an IP address.  If your HCP system supports DNS and you specify the hostname, HCP selects the IP address for you from the currently available nodes.  HCP uses a round-robin method to ensure that it doesn’t always select the ...",t:"Hostname and IP address considerations"},"948":{i:0.00231181538258903,u:"../Content/Using a Namespace/General usage considerations/Using a hosts file.htm",a:"Typically, the HCP system uses DNS for system addressing.  If this is not the case, for access to a namespace by hostname, you need to provide a mapping of the namespace hostname to an IP address for the HCP system. To find out whether the HCP system is configured for DNS and to learn the IP ...",t:"Using a hosts file"},"949":{i:0.00102617852924445,u:"../Content/Using a Namespace/General usage considerations/Object naming considerations.htm",a:"When naming objects, directories, and symbolic links, keep these considerations in mind: The name of each item must conform to POSIX naming conventions.  In particular: Object names are case sensitive. For information about case sensitivity with Windows clients, see  CIFS case sensitivity . Object ...",t:"Object naming considerations"},"950":{i:0.000803329249795314,u:"../Content/Using a Namespace/General usage considerations/Naming conventions for email objects.htm",a:"HCP handles email objects the same way it handles other objects, except that for email stored through SMTP, HCP automatically generates directory paths and object names.  It generates the paths directly under a parent directory that’s specified in the namespace configuration.  To learn the parent ...",t:"Naming conventions for email objects"},"951":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Directory structures.htm",a:"Because of the way HCP stores objects, the directory structures you create and the way you store objects in them can have an impact on performance.  Here are some guidelines for creating effective directory structures: Plan your directory structures before storing objects.  Make sure all namespace ...",t:"Directory structures"},"952":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Shredding considerations.htm",a:"Shredding considerations Multiple objects with the same content should all have the same shred setting.  If they don\u0027t and you delete the objects, each object is shredded or not shredded according to its shred setting.",t:"Shredding considerations"},"953":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Non-WORM objects.htm",a:"The namespace can contain objects that are not WORM: Objects that are open for write and have no data are not WORM. Objects left by certain failed write operations are not WORM. Objects that are not WORM are not subject to retention.  You can delete these objects or overwrite them without first ...",t:"Non-WORM objects"},"954":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Moving or renaming objects.htm",a:"You cannot move or rename an object in an HCP namespace.  If a client tries either of these operations, the operation fails. If this occurs, many clients automatically try to copy and delete the object instead.  (This is how the HCP WebDAV MOVE method works.)  If deletion is not allowed (for ...",t:"Moving or renaming objects"},"955":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Deleting objects under repair.htm",a:"If you try to delete an object while HCP is repairing it, HCP returns an error response, and the object is not deleted.  For HTTP and WebDAV, the return value is an HTTP 409 (Conflict) error code, and for CIFS and NFS, the request may time out.  When you get such errors, wait a few minutes and then ...",t:"Deleting objects under repair"},"956":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Deleting directories.htm",a:"You can delete a directory only when it is empty.  Some clients, however, can appear to delete nonempty directories, as long as those directories don’t contain objects under retention.  In such cases, what’s really happening is that the client is using a single call to HCP to first delete the ...",t:"Deleting directories"},"957":{i:0.00134430174585747,u:"../Content/Using a Namespace/General usage considerations/Multithreading.htm",a:"HCP lets multiple threads access the namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories. Here are some guidelines for the effective use of multithreading: Concurrent threads, both reads and writes, ...",t:"Multithreading"},"958":{i:0.00030552111312582,u:"../Content/Using a Namespace/General usage considerations/Return code considerations.htm",a:"Return code considerations User applications should account for all possible return codes for requests that access a namespace. For lists of possible return codes with each namespace access protocol, see: HTTP return codes WebDAV return codes CIFS return codes NFS return codes",t:"Return code considerations"},"959":{i:0.000936812040920669,u:"../Content/Using a Namespace/HTTP reference/HTTP reference.htm",a:"HTTP reference This  section of the Help  contains a reference of the HTTP methods available for accessing a namespace and the possible return codes and HCP-specific response headers. For detailed information on using HTTP, see  Accessing a namespace with HTTP  through  HTTP usage considerations .",t:"HTTP reference"},"960":{i:0.00030552111312582,u:"../Content/Using a Namespace/HTTP reference/HTTP methods.htm",a:"HTTP methods The table below provides a quick reference to the HTTP methods you use to access a namespace.",t:"HTTP methods"},"961":{i:0.00725236659451874,u:"../Content/Using a Namespace/HTTP reference/HTTP return codes.htm",a:"HTTP return codes The table below describes the possible return codes for HTTP requests that access a namespace.",t:"HTTP return codes"},"962":{i:0.00688446512042628,u:"../Content/Using a Namespace/HTTP reference/HCP-specific HTTP response headers.htm",a:"HCP-specific HTTP response headers All HCP HTTP responses include one or more HCP-specific headers that provide information relevant to the request.  The table below describes these response headers.  The table does not include deprecated headers.",t:"HCP-specific HTTP response headers"},"963":{i:0.00030552111312582,u:"../Content/Using a Namespace/HTTP reference/Common HTTP response headers.htm",a:" HTTP requests return some common response headers that address browser security concerns. These headers have fixed values. The table below describes these headers. HCP can also return several standard HTTP response headers that are not described in this book.  Among others, these include ...",t:"Common HTTP response headers"},"964":{i:0.00030552111312582,u:"../Content/Using a Namespace/HTTP reference/Response body formats for listings.htm",a:"You use the HTTP GET method to retrieve lists of information about namespaces and their contents.  With this method, the information you request is returned in XML format in the response body.  For the structure of the returned information, see: Listing object versions Listing directory contents ...",t:"Response body formats for listings"},"965":{i:0.00030552111312582,u:"../Content/Using a Namespace/Java classes for examples/Java classes for examples.htm",a:" Java classes for examples This  section of the Help  contains the implementation of these Java classes that are used in examples in this book: GZIPCompressedInputStream — This class is used by the WriteToHCP method of the HTTPCompression class.  This method is defined in  Example 5: Sending object ...",t:" Java classes for examples"},"966":{i:0.000675587830923487,u:"../Content/Using a Namespace/Java classes for examples/GZIPCompressedInputStream class.htm",a:"package com.hds.hcp.examples; import java.io.IOException; import java.io.InputStream; import java.util.zip.CRC32; import java.util.zip.Deflater; import java.util.zip.DeflaterInputStream; public class GZIPCompressedInputStream extends DeflaterInputStream {   /**    * This static class is used to ...",t:"GZIPCompressedInputStream class"},"967":{i:0.000814433061373571,u:"../Content/Using a Namespace/Java classes for examples/WholeIOOutputStream class.htm",a:"package com.hds.hcp.apihelpers; import java.io.IOException; import java.io.InputStream; import java.io.OutputStream; /**  * This class defines an OutputStream that will create both the data   * file and the custom metadata file for an object.  The copy() method   * is used to read an InputStream and ...",t:"WholeIOOutputStream class"},"968":{i:0.00100670250976775,u:"../Content/Using a Namespace/BrwsrConfigForSSOwithAD/BrwsrConfigForSSOwithAD.htm",a:"If a tenant is configured to support AD authentication, you can use a recognized AD user account to access the Tenant Management Console with single sign-on.  However, for this to work, the web browser you use to access the Console must be configured to support single sign-on. This appendix contains ...",t:"Browser configuration for single sign-on with Active Directory"},"969":{i:0.00030552111312582,u:"../Content/Using a Namespace/BrwsrConfigForSSOwithAD/ConfigWinIEForSSO.htm",a:"Before you set up single sign-on, you need to configure Windows Internet Explorer. The following instructions apply with Windows Internet Explorer 11. To configure Windows Internet Explorer for single sign-on with Active Directory: Open Internet Explorer. On the Tools menu, click Internet Options. ...",t:"Configuring Windows Internet Explorer for single sign-on"},"970":{i:0.00030552111312582,u:"../Content/Using a Namespace/BrwsrConfigForSSOwithAD/ConfigMozFfxForSSO.htm",a:"To configure Mozilla Firefox for single sign-on with Active Directory: Open Firefox. In the address field in the Firefox window, enter: about:config In response to the warning message, click I’ll be careful, I promise!. In the Preference Name list, double-click ...",t:"Configuring Mozilla Firefox for single sign-on"},"971":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/Introduction to Hitachi Content Platform.htm",a:"Hitachi Content Platform (HCP) is a robust storage system designed to support large, growing repositories of fixed-content data.  HCP stores objects that include both data and metadata that describes that data.  Objects exist in buckets, which are logical partitions of the repository. HCP provides ...",t:"Introduction to Hitachi Content Platform"},"972":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/About Hitachi Content Platform.htm",a:"Hitachi Content Platform is a combination of hardware and software that provides an object-based data storage environment.  An HCP repository stores all types of data, from simple text files to medical images to multigigabyte database images. HCP provides easy access to the repository for adding, ...",t:"About Hitachi Content Platform"},"973":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/Object-based storage.htm",a:"HCP stores objects in a repository.  Each object permanently associates data HCP receives (for example, a document, an image, or a movie) with information about that data, called metadata. An object encapsulates: Fixed-content data — An exact digital reproduction of data as it existed before it was ...",t:"Object-based storage"},"974":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/Buckets and tenants.htm",a:"An HCP repository is partitioned into buckets.  A bucket is a logical grouping of objects such that the objects in one bucket are not visible in any other bucket.  Buckets are also called namespaces. Buckets provide a mechanism for separating the data stored for different applications, business ...",t:"Buckets and tenants"},"975":{i:0.000435368692217277,u:"../Content/Using the HCP HS3 API/intro/HCP nodes.htm",a:"The core hardware for an HCP system consists of servers that are networked together.  These servers are called nodes. When you access an HCP system, your point of access is an individual node.  To identify the system, however, you can use either the domain name of the system or the IP address of an ...",t:"HCP nodes"},"976":{i:0.000661303926791217,u:"../Content/Using the HCP HS3 API/intro/Replication.htm",a:"Replication is a process that supports configurations in which selected tenants and buckets are maintained on two or more HCP systems and the objects in those buckets are managed across those systems. This cross-system management helps ensure that data is well-protected against the unavailability or ...",t:"Replication"},"977":{i:0.00418918182471899,u:"../Content/Using the HCP HS3 API/intro/About the HCP HS3 API.htm",a:"The Hitachi API for Amazon S3 is a RESTful, HTTP-based API that is compatible with Amazon S3.  Using this API, you can: Create buckets (PUT bucket) List the buckets you own (GET service) Check the existence of a bucket (HEAD bucket) Add ACLs to existing buckets (PUT bucket ACL) Retrieve ACLs for ...",t:"About the Hitachi API for Amazon S3"},"978":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/Other bucket access methods.htm",a:"Other bucket access methods HCP allows access to bucket (namespace) content through: Several namespace access protocols The Namespace Browser A metadata query API The Search Console HCP Data Migrator",t:"Other bucket access methods"},"979":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/Namespace access protocols.htm",a:"Along with the S3 compatible API, HCP supports access to namespace content through these industry-standard protocols:  a RESTful, HTTP-based API called REST, WebDAV, CIFS, and NFS. HCP also supports access to namespace content through an OpenStack® Swift-compatible API called HSwift. Using the ...",t:"Namespace access protocols"},"980":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/HCP Namespace Browser.htm",a:"The Namespace Browser lets you manage content in and view information about HCP namespaces.  With the Namespace Browser, you can: Store objects List, view, retrieve, and delete objects, including old versions of objects View custom metadata and ACLs for objects, including old versions of objects ...",t:"HCP Namespace Browser"},"981":{i:0.000717785175802939,u:"../Content/Using the HCP HS3 API/intro/HCP metadata query API.htm",a:"The HCP metadata query API lets you search HCP for objects that meet specified criteria.  The API supports two types of queries: Object-based queries search for objects based on object metadata.  This includes both system metadata and the content of custom metadata and ACLs.  The query criteria can ...",t:"HCP metadata query API"},"982":{i:0.000639918575011454,u:"../Content/Using the HCP HS3 API/intro/HCP Search Console.htm",a:"The HCP Search Console is an easy-to-use web application that lets you search for and manage objects based on specified criteria.  For example, you can search for objects that were stored before a certain date or that are larger than a specified size.  You can then delete the objects listed in the ...",t:"HCP Search Console"},"983":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/HCP Data Migrator.htm",a:"HCP Data Migrator (HCP-DM) is a high-performance, multithreaded, client-side utility for viewing, copying, and deleting data.  With HCP-DM, you can: Copy objects, files, and directories between the local file system, HCP namespaces, default namespaces, and earlier HCAP archives Delete individual ...",t:"HCP Data Migrator"},"984":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/intro/User accounts.htm",a:"To use the S3 compatible API to create and manage buckets, you need a user account that’s configured to allow you to take those actions.  To work with objects in a bucket, you may or may not need a user account.  This depends on how the S3 compatible API is configured for the bucket. By default, ...",t:"User accounts"},"985":{i:0.00106956763118754,u:"../Content/Using the HCP HS3 API/intro/Data access permissions.htm",a:"Data access permissions allow you to access bucket content through the various HCP interfaces.  You get these permissions either from your user account or from the bucket configuration. Data access permissions are bucket specific.  That is, they are granted separately for individual buckets. Each ...",t:"Data access permissions"},"986":{i:0.0137067156343566,u:"../Content/Using the HCP HS3 API/intro/Examples in this help.htm",a:"This help contains instructions and examples for using the S3 compatible API to perform the operations listed in  About the Hitachi API for Amazon S3 .  The examples use a command-line tool called s3curl.  s3curl is freely available open-source software.  You can download it from  ...",t:"Examples in this help"},"987":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Bucket and object properties.htm",a:"Buckets and objects have various properties that affect what you can do with them and what happens when you take action on them.  Some of these properties, such as versioning for a bucket, are visible through the S3 compatible API.  Others, such as object retention, aren’t visible through the S3 ...",t:"Bucket and object properties"},"988":{i:0.000358982511101917,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Bucket names.htm",a:"When you create a bucket, you give it a name.  HCP derives the hostname for the bucket from this name.  The hostname is used in URLs for access to the bucket. In English, the name you specify for a bucket must be from three through 63 characters long and can contain only alphanumeric characters and ...",t:"Bucket names"},"989":{i:0.00079494093310202,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Object names.htm",a:"When you create an object, you give it a name.  Object names: Can contain any characters except the NULL character (ASCII 0 (zero)).  This includes nonprinting characters such as spaces and line breaks. Are case sensitive. Can be up to 4,095 bytes long. Cannot consist of a single period (.) or a ...",t:"Object names"},"990":{i:0.000565216271308733,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Forward slashes in object names.htm",a:"When using the S3 compatible API, you can view objects as being in a flat space or in a structured space: In a flat space, objects are not grouped by any sort of structural elements, such as folders (also called directories), and forward slashes (/) in object names are simply part of those names. In ...",t:"Forward slashes in object names"},"991":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Object naming considerations.htm",a:"The following considerations apply to object names. Names ending with a forward slash A forward slash (/) at the end of a name indicates that the item is a folder.  So, for example, if you include a forward slash at the end of the object name in a request to store an object, HCP creates an empty ...",t:"Object naming considerations"},"992":{i:0.000861653477527556,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Retention.htm",a:"The retention setting determines how long the object must remain in the bucket before it can be deleted.  This can range from allowing the object to be deleted at any time to preventing the object from ever being deleted.  While an object cannot be deleted due to retention, it is said to be under ...",t:"Retention"},"993":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3 Object retention settings.htm",a:"Every object, including objects assigned to retention classes, has a specific retention setting that specifies when (or whether) the retention period for the object ends.  HCP represents the retention setting in numeric and text formats, as shown in the table below. The format used for retention ...",t:"Object retention settings"},"994":{i:0.000549658988706914,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3 Privileged delete.htm",a:"If you have privileged permission and the bucket allows it, you can use the S3 compatible API to delete an object that is under retention.  This action is called privileged delete. You cannot use privileged delete operations to delete objects that are on hold, regardless of the retention settings of ...",t:"Deleting an object under retention"},"995":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3 Holding objects.htm",a:"If you have both write and privileged permissions, you can place an object on hold.  An object that is on hold cannot be deleted, even by a privileged delete operation.  Also, you cannot store new versions of an object that is on hold.  Holding objects is particularly useful when the objects are ...",t:"Holding objects"},"996":{i:0.000654619301370344,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3 Retention classes.htm",a:"A  retention class is a named retention value that, when used as the retention setting for an object, specifies how long the object must remain in the repository.  This value can be: A duration after object creation.  For example, a retention class named HlthReg-107 could have a duration of 21 ...",t:"Retention classes"},"997":{i:0.000690617507507853,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3RetentionRelatedRequestHeaders.htm",a:"Retention-related request headers The table below describes the retention-related request headers you can use with the S3 compatible API.",t:"Retention-related request headers"},"998":{i:0.000457009955399186,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3RetentionRelatedResponseHeaders.htm",a:"Retention-related response headers The table below describes the retention-related response headers that are returned with the S3 compatible API.",t:"Retention-related response headers"},"999":{i:0.000370444902671548,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3 Specifying retention settings.htm",a:"You can change the retention setting for an existing object.  With the S3 compatible API, you can also specify a retention setting when you store an object in a bucket.  The following information describes the retention settings you can specify. These general rules apply to values you can set: If ...",t:"Specifying retention settings"},"1000":{i:0.000475405215334978,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3 Specifying date and time.htm",a:"You can set retention by specifying a date and time in either of these formats: Time in seconds since January 1, 1970, at 00:00:00 UTC.  For example: 1450137600 The calendar date that corresponds to 1450137600 is Tuesday, December 15, 2015, at 00:00:00 EST. Date and time in this ISO 8601 format: ...",t:"Specifying a date and time"},"1001":{i:0.00041048142578925,u:"../Content/Using the HCP HS3 API/bucket_object_properties/S3 Specifying offset.htm",a:"You can set retention by specifying an offset from: The time at which the object was added to the bucket The current retention setting for the object The current time Because you can only extend a retention period, the offset must be a positive value. Offset syntax To use an offset as a retention ...",t:"Specifying an offset"},"1002":{i:0.000780858475970342,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Custom metadata.htm",a:"Objects can optionally have custom metadata in the form of one or more annotations.  Annotations are a powerful means for understanding and analyzing the contents of buckets.  Using the HCP metadata query API or Search Console, you can search for objects based on the content of their annotations.",t:"Custom metadata"},"1003":{i:0.000462860574375082,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Storing custom metadata with HS3.htm",a:"With the S3 compatible API, you use x-amz-meta- request headers to specify custom metadata.  You can use these headers when you store or copy an object. With the x-amz-meta- header, you specify custom metadata as property/value pairs.  You append the property name to the header and specify the value ...",t:"Storing custom metadata with the S3 compatible API"},"1004":{i:0.000565216271308733,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Retrieving custom metadata with HS3.htm",a:"When you check the existence of or retrieve an object that has a .metapairs annotation containing well-formed XML, the response headers include x-amz-meta- headers with property/value pairs that correspond to the XML elements in the annotation.  The property names in these headers are the element ...",t:"Retrieving custom metadata with the S3 compatible API"},"1005":{i:0.00030552111312582,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Custom metadata usage considerations.htm",a:"The following considerations apply to using custom metadata with the S3 compatible API. Custom metadata and object versions Custom metadata is specific to the object version for which it\u0027s stored: If you store an object without custom metadata and then store a new version of the object with custom ...",t:"Custom metadata usage considerations"},"1006":{i:0.000358982511101917,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Bucket owners.htm",a:"Buckets can have owners that correspond to HCP or AD user accounts.  By default, when using an HCP user account, you own the buckets you create through the S3 compatible API.  With an AD user account, you cannot use the S3 compatible API to create buckets. Normally, as the owner of a bucket, you can ...",t:"Bucket owners"},"1007":{i:0.00111142274073536,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Object owners.htm",a:"Like buckets, objects can have owners that correspond to HCP or AD user accounts.  By default, if you’re an authenticated user, you own the objects you create in a bucket, regardless of whether you own the bucket.  As the owner of the object, you have read, read ACL,  write, write ACL, and delete ...",t:"Object owners"},"1008":{i:0.00345315022794794,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Access control lists.htm",a:"HCP supports access control lists (ACLs) for both buckets and objects.  An ACL grants specified users or groups of users permissions to perform specific operations.  An ACL can also be used to change the owner of a bucket or object. A bucket ACL grants permissions to perform operations on a bucket ...",t:"Access control lists"},"1009":{i:0.00083597361425993,u:"../Content/Using the HCP HS3 API/bucket_object_properties/ACL permissions.htm",a:"Granting a permission in an ACL for a bucket gives the grantee certain data access permissions for that bucket.  Granting a permission in an ACL for an individual object gives the user certain data access permissions just for that object. The table below lists the permissions you can grant in an ACL ...",t:"ACL permissions"},"1010":{i:0.00083597361425993,u:"../Content/Using the HCP HS3 API/bucket_object_properties/ACL grantees.htm",a:"An ACL can grant permissions to individual users or to groups of users.  An individual user is represented by either an HCP user account or, for object ACLs only, an AD user account.  A group can be either all authenticated users or all users (both authenticated and anonymous). To specify an HCP ...",t:"ACL grantees"},"1011":{i:0.0010095540275869,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Canned ACLs.htm",a:"When specifying an ACL for a bucket or object, you can use a canned ACL instead of specifying permission grants individually.  A canned ACL is a predefined set of grants of permissions. HCP has these canned ACLs: private — Grants full control to the bucket or object owner public-read — Grants full ...",t:"Canned ACLs"},"1012":{i:0.00066081367316863,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Specifying ACLs.htm",a:"To specify an ACL in an S3 compatible request to create a bucket or store or copy an object, you use request headers.  To specify an ACL in a separate operation, you can either use request headers or specify the grants in the request body. You can also use an ACL request body to change the owner of ...",t:"Specifying ACLs"},"1013":{i:0.00101292450305508,u:"../Content/Using the HCP HS3 API/bucket_object_properties/Specifying an ACL with headers.htm",a:"Using request headers, you can specify either a canned ACL or individual ACL grants of permissions.  You cannot specify both a canned ACL and individual grants in the same request. Using a canned ACL To specify a canned ACL, you use the x-amz-acl request header.  The value of this header can be the ...",t:"Specifying an ACL with headers"},});